ur_rna.Utilities.swing

## Class Menus

- java.lang.Object
- - ur_rna.Utilities.swing.Menus

-     public class Menus
      extends java.lang.Object

  A utility class to help with JMenus and JMenuItems

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Menus()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.JMenuItem` | `findByAction(java.awt.Component menu, javax.swing.Action action)`
    `static javax.swing.JMenuItem` | `findByAction(IMenuItem menu, javax.swing.Action action)`
    `static javax.swing.JMenuItem` | `findByName(java.awt.Component menu, java.lang.String name)`
    `static javax.swing.JMenuItem` | `findByName(IMenuItem parent, java.lang.String name)`
    `static javax.swing.JMenuItem` | `findByTreePath(java.awt.Component menu, java.lang.String name)`
    `static javax.swing.JMenuItem` | `findByTreePath(IMenuItem parent, java.lang.String name)`
    `static java.util.List<javax.swing.JMenuItem>` | `getMenuItems(java.awt.Component menu)`
    `static java.util.List<javax.swing.JMenu>` | `getMenus(java.awt.Component menu)`
    `static javax.swing.JComponent` | `getSubItemContainer(java.awt.Component menu)`
    `static boolean` | `hasSubItems(java.awt.Component menu)`
    `static void` | `setEnabled(IMenuItem parent, boolean enable)`
    `static void` | `setTextWithMnemonic(javax.swing.AbstractButton item, java.lang.String text, java.util.function.Consumer<java.lang.String> setTextDirectly)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Menus

          public Menus()

  - ### Method Detail

    - #### findByAction

          public static javax.swing.JMenuItem findByAction(java.awt.Component menu,
                                                           javax.swing.Action action)

    - #### findByAction

          public static javax.swing.JMenuItem findByAction(IMenuItem menu,
                                                           javax.swing.Action action)

    - #### findByName

          public static javax.swing.JMenuItem findByName(java.awt.Component menu,
                                                         java.lang.String name)

    - #### findByName

          public static javax.swing.JMenuItem findByName(IMenuItem parent,
                                                         java.lang.String name)

    - #### findByTreePath

          public static javax.swing.JMenuItem findByTreePath(java.awt.Component menu,
                                                             java.lang.String name)

    - #### findByTreePath

          public static javax.swing.JMenuItem findByTreePath(IMenuItem parent,
                                                             java.lang.String name)

    - #### getMenuItems

          public static java.util.List<javax.swing.JMenuItem> getMenuItems(java.awt.Component menu)

    - #### getMenus

          public static java.util.List<javax.swing.JMenu> getMenus(java.awt.Component menu)

    - #### getSubItemContainer

          public static javax.swing.JComponent getSubItemContainer(java.awt.Component menu)

    - #### hasSubItems

          public static boolean hasSubItems(java.awt.Component menu)

    - #### setEnabled

          public static void setEnabled(IMenuItem parent,
                                        boolean enable)

    - #### setTextWithMnemonic

          public static void setTextWithMnemonic(javax.swing.AbstractButton item,
                                                 java.lang.String text,
                                                 java.util.function.Consumer<java.lang.String> setTextDirectly)